1# Makefile.in generated by automake 1.10.1 from Makefile.am.
2# Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18pkgdatadir = $(datadir)/tre
19pkglibdir = $(libdir)/tre
20pkgincludedir = $(includedir)/tre
21am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22install_sh_DATA = $(install_sh) -c -m 644
23install_sh_PROGRAM = $(install_sh) -c
24install_sh_SCRIPT = $(install_sh) -c
25INSTALL_HEADER = $(INSTALL_DATA)
26transform = $(program_transform_name)
27NORMAL_INSTALL = :
28PRE_INSTALL = :
29POST_INSTALL = :
30NORMAL_UNINSTALL = :
31PRE_UNINSTALL = :
32POST_UNINSTALL = :
33build_triplet = i686-pc-linux-gnu
34host_triplet = arm-unknown-linux-gnu
35target_triplet = arm-unknown-linux-gnu
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
39	$(srcdir)/tre.pc.in $(srcdir)/tre.spec.in \
40	$(top_srcdir)/configure ABOUT-NLS AUTHORS ChangeLog INSTALL \
41	NEWS THANKS TODO
42ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43am__aclocal_m4_deps = $(top_srcdir)/m4/ac_libtool_tags.m4 \
44	$(top_srcdir)/m4/ax_check_funcs_comp.m4 \
45	$(top_srcdir)/m4/ax_check_sign.m4 \
46	$(top_srcdir)/m4/ax_decl_wchar_max.m4 \
47	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
48	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/lib-ld.m4 \
49	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
50	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
51	$(top_srcdir)/m4/progtest.m4 \
52	$(top_srcdir)/m4/vl_prog_cc_warnings.m4 \
53	$(top_srcdir)/configure.ac
54am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55	$(ACLOCAL_M4)
56am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
57 configure.lineno config.status.lineno
58mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
59CONFIG_HEADER = config.h $(top_builddir)/lib/tre-config.h
60CONFIG_CLEAN_FILES = tre.pc tre.spec
61SOURCES =
62DIST_SOURCES =
63RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
64	html-recursive info-recursive install-data-recursive \
65	install-dvi-recursive install-exec-recursive \
66	install-html-recursive install-info-recursive \
67	install-pdf-recursive install-ps-recursive install-recursive \
68	installcheck-recursive installdirs-recursive pdf-recursive \
69	ps-recursive uninstall-recursive
70am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
71am__vpath_adj = case $$p in \
72    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
73    *) f=$$p;; \
74  esac;
75am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
76am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
77pkgconfigDATA_INSTALL = $(INSTALL_DATA)
78DATA = $(pkgconfig_DATA)
79RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
80  distclean-recursive maintainer-clean-recursive
81ETAGS = etags
82CTAGS = ctags
83DIST_SUBDIRS = lib src doc tests po m4
84DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
85distdir = $(PACKAGE)-$(VERSION)
86top_distdir = $(distdir)
87am__remove_distdir = \
88  { test ! -d $(distdir) \
89    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
90         && rm -fr $(distdir); }; }
91DIST_ARCHIVES = $(distdir).tar.gz
92GZIP_ENV = --best
93distuninstallcheck_listfiles = find . -type f -print
94distcleancheck_listfiles = find . -type f -print
95ACLOCAL = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run aclocal-1.10
96ALLOCA = 
97AMTAR = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run tar
98AR = arm-brcm-linux-uclibcgnueabi-ar
99AS = arm-brcm-linux-uclibcgnueabi-as
100AUTOCONF = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run autoconf
101AUTOHEADER = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run autoheader
102AUTOMAKE = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run automake-1.10
103AWK = gawk
104CC = arm-brcm-linux-uclibcgnueabi-gcc
105CCDEPMODE = depmode=gcc3
106CFLAGS = -Os -O2 -DBCMWPA2 -DRESTART_ALL_PROCESSES -D__CONFIG_USBAP__ -DBCMQOS -DBCMWPS -D__CONFIG_EMF__ -DTRAFFIC_MGMT -DPHYMON -DSUPPORT_REMOTE_HTTPS -DINCLUDE_WPS_V20 -DINCLUDE_5G_AUTO_CHANNEL -DOPENDNS_PARENTAL_CONTROL -DINCLUDE_UCP -DU12H240 -DR6300v2 -DMULTIPLE_SSID -DENABLE_ML -DBCM53125 -DBCM5301X -DCONFIG_RUSSIA_IPTV -DDLNA -DHTTP_ACCESS_USB -DMAX_USB_ACCESS -DSAMBA_ENABLE -DUSB_NEW_SPEC -DINCLUDE_WIFI_BUTTON -DINCLUDE_USB_LED -DINCLUDE_DUAL_BAND -DSINGLE_FIRMWARE -DINCLUDE_GET_ST_CHKSUM -DUNIFIED_STR_TBL -DFIRST_MTD_ROTATION -DWIFI_ON_OFF_SCHE -DAUTO_CONN_24HR -DIGMP_PROXY -DAP_MODE -D__CONFIG_IGMP_SNOOPING__ -DLINUX26 -DINCLUDE_IPV6 -DPRESET_WL_SECURITY -DNEW_BCM_WPS_IPC -DSUPPORT_AC_MODE -DSTA_MODE -DPPP_RU_DESIGN -DEXT_ACS -D__CONFIG_PLC__ -D__CONFIG_URE__ -DPLC -DWPS_LONGPUSH_DISABLE -Os -DLINUX26 -DCONFIG_KERNEL_2_6_36 -I$(SRC_PATH)/build/include
107CPP = arm-brcm-linux-uclibcgnueabi-gcc -E
108CPPFLAGS = -I$(SRC_PATH)/build/include
109CYGPATH_W = echo
110DEFS = -DHAVE_CONFIG_H
111DEPDIR = .deps
112DLLTOOL = dlltool
113DSYMUTIL = 
114ECHO = echo
115ECHO_C = 
116ECHO_N = -n
117ECHO_T = 
118EGREP = /bin/grep -E
119EXEEXT = 
120GETTEXT_MACRO_VERSION = 0.17
121GMSGFMT = /usr/bin/msgfmt
122GMSGFMT_015 = /usr/bin/msgfmt
123GREP = /bin/grep
124INSTALL = /usr/bin/install -c
125INSTALL_DATA = ${INSTALL} -m 644
126INSTALL_PROGRAM = ${INSTALL}
127INSTALL_SCRIPT = ${INSTALL}
128INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
129INTLLIBS = 
130INTL_MACOSX_LIBS = 
131LDFLAGS = -L$(SRC_PATH)/build/lib
132LIBICONV = 
133LIBINTL = 
134LIBOBJS = 
135LIBS = 
136LIBTOOL = $(SHELL) $(top_builddir)/libtool
137LN_S = ln -s
138LTLIBICONV = 
139LTLIBINTL = 
140LTLIBOBJS = 
141MAKEINFO = ${SHELL} $(SRC_PATH)/tre-0.8.0/utils/missing --run makeinfo
142MKDIR_P = /bin/mkdir -p
143MSGFMT = /usr/bin/msgfmt
144MSGFMT_015 = /usr/bin/msgfmt
145MSGMERGE = /usr/bin/msgmerge
146NMEDIT = 
147OBJDUMP = arm-brcm-linux-uclibcgnueabi-objdump
148OBJEXT = o
149PACKAGE = tre
150PACKAGE_BUGREPORT = tre-general@lists.laurikari.net
151PACKAGE_NAME = TRE
152PACKAGE_STRING = TRE 0.8.0
153PACKAGE_TARNAME = tre
154PACKAGE_VERSION = 0.8.0
155PATH_SEPARATOR = :
156POSUB = 
157RANLIB = arm-brcm-linux-uclibcgnueabi-ranlib
158SED = /bin/sed
159SET_MAKE = 
160SHELL = /bin/sh
161STRIP = arm-brcm-linux-uclibcgnueabi-strip
162TRE_VERSION = 0.8.0
163USE_NLS = no
164VERSION = 0.8.0
165XGETTEXT = /usr/bin/xgettext
166XGETTEXT_015 = /usr/bin/xgettext
167XGETTEXT_EXTRA_OPTIONS = 
168abs_builddir = $(SRC_PATH)/tre-0.8.0
169abs_srcdir = $(SRC_PATH)/tre-0.8.0
170abs_top_builddir = $(SRC_PATH)/tre-0.8.0
171abs_top_srcdir = $(SRC_PATH)/tre-0.8.0
172ac_ct_CC = 
173am__include = include
174am__leading_dot = .
175am__quote = 
176am__tar = ${AMTAR} chof - "$$tardir"
177am__untar = ${AMTAR} xf -
178bindir = ${exec_prefix}/bin
179build = i686-pc-linux-gnu
180build_alias = 
181build_cpu = i686
182build_os = linux-gnu
183build_vendor = pc
184builddir = .
185datadir = ${datarootdir}
186datarootdir = ${prefix}/share
187docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
188dvidir = ${docdir}
189exec_prefix = ${prefix}
190host = arm-unknown-linux-gnu
191host_alias = arm-linux
192host_cpu = arm
193host_os = linux-gnu
194host_vendor = unknown
195htmldir = ${docdir}
196includedir = ${prefix}/include
197infodir = ${datarootdir}/info
198install_sh = $(SHELL) $(SRC_PATH)/tre-0.8.0/utils/install-sh
199libdir = ${exec_prefix}/lib
200libexecdir = ${exec_prefix}/libexec
201localedir = ${datarootdir}/locale
202localstatedir = ${prefix}/var
203mandir = ${datarootdir}/man
204mkdir_p = /bin/mkdir -p
205oldincludedir = /usr/include
206pdfdir = ${docdir}
207prefix = /usr
208program_transform_name = s,x,x,
209psdir = ${docdir}
210sbindir = ${exec_prefix}/sbin
211sharedstatedir = ${prefix}/com
212srcdir = .
213sysconfdir = ${prefix}/etc
214target = arm-unknown-linux-gnu
215target_alias = 
216target_cpu = arm
217target_os = linux-gnu
218target_vendor = unknown
219top_builddir = .
220top_srcdir = .
221#agrep_dirs = 
222agrep_dirs = src doc
223SUBDIRS = lib $(agrep_dirs) tests po m4
224EXTRA_DIST = \
225	LICENSE \
226	win32/tre-config.h win32/config.h \
227	win32/tre.dsw \
228	win32/tre.dsp win32/tre.def \
229	win32/retest.dsp \
230	python/tre-python.c \
231	python/setup.py \
232	python/example.py
233
234ACLOCAL_AMFLAGS = -I m4
235AC_CONFIG_AUX_DIR = utils
236pkgconfigdir = $(libdir)/pkgconfig
237pkgconfig_DATA = tre.pc
238all: config.h
239	$(MAKE) $(AM_MAKEFLAGS) all-recursive
240
241.SUFFIXES:
242am--refresh:
243	@:
244$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
245	@for dep in $?; do \
246	  case '$(am__configure_deps)' in \
247	    *$$dep*) \
248	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
249	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
250		&& exit 0; \
251	      exit 1;; \
252	  esac; \
253	done; \
254	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
255	cd $(top_srcdir) && \
256	  $(AUTOMAKE) --foreign  Makefile
257.PRECIOUS: Makefile
258Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
259	@case '$?' in \
260	  *config.status*) \
261	    echo ' $(SHELL) ./config.status'; \
262	    $(SHELL) ./config.status;; \
263	  *) \
264	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
265	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
266	esac;
267
268$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
269#	$(SHELL) ./config.status --recheck
270
271$(top_srcdir)/configure:  $(am__configure_deps)
272	cd $(srcdir) && $(AUTOCONF)
273$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
274	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
275
276config.h: stamp-h1
277	@if test ! -f $@; then \
278	  rm -f stamp-h1; \
279	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
280	else :; fi
281
282stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
283	@rm -f stamp-h1
284	cd $(top_builddir) && $(SHELL) ./config.status config.h
285$(srcdir)/config.h.in:  $(am__configure_deps) 
286	cd $(top_srcdir) && $(AUTOHEADER)
287	rm -f stamp-h1
288	touch $@
289
290distclean-hdr:
291	-rm -f config.h stamp-h1
292tre.pc: $(top_builddir)/config.status $(srcdir)/tre.pc.in
293	cd $(top_builddir) && $(SHELL) ./config.status $@
294tre.spec: $(top_builddir)/config.status $(srcdir)/tre.spec.in
295	cd $(top_builddir) && $(SHELL) ./config.status $@
296
297mostlyclean-libtool:
298	-rm -f *.lo
299
300clean-libtool:
301	-rm -rf .libs _libs
302
303distclean-libtool:
304	-rm -f libtool
305install-pkgconfigDATA: $(pkgconfig_DATA)
306	@$(NORMAL_INSTALL)
307	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
308	@list='$(pkgconfig_DATA)'; for p in $$list; do \
309	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
310	  f=$(am__strip_dir) \
311	  echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
312	  $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
313	done
314
315uninstall-pkgconfigDATA:
316	@$(NORMAL_UNINSTALL)
317	@list='$(pkgconfig_DATA)'; for p in $$list; do \
318	  f=$(am__strip_dir) \
319	  echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
320	  rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
321	done
322
323# This directory's subdirectories are mostly independent; you can cd
324# into them and run `make' without going through this Makefile.
325# To change the values of `make' variables: instead of editing Makefiles,
326# (1) if the variable is set in `config.status', edit `config.status'
327#     (which will cause the Makefiles to be regenerated when you run `make');
328# (2) otherwise, pass the desired values on the `make' command line.
329$(RECURSIVE_TARGETS):
330	@failcom='exit 1'; \
331	for f in x $$MAKEFLAGS; do \
332	  case $$f in \
333	    *=* | --[!k]*);; \
334	    *k*) failcom='fail=yes';; \
335	  esac; \
336	done; \
337	dot_seen=no; \
338	target=`echo $@ | sed s/-recursive//`; \
339	list='$(SUBDIRS)'; for subdir in $$list; do \
340	  echo "Making $$target in $$subdir"; \
341	  if test "$$subdir" = "."; then \
342	    dot_seen=yes; \
343	    local_target="$$target-am"; \
344	  else \
345	    local_target="$$target"; \
346	  fi; \
347	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
348	  || eval $$failcom; \
349	done; \
350	if test "$$dot_seen" = "no"; then \
351	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
352	fi; test -z "$$fail"
353
354$(RECURSIVE_CLEAN_TARGETS):
355	@failcom='exit 1'; \
356	for f in x $$MAKEFLAGS; do \
357	  case $$f in \
358	    *=* | --[!k]*);; \
359	    *k*) failcom='fail=yes';; \
360	  esac; \
361	done; \
362	dot_seen=no; \
363	case "$@" in \
364	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
365	  *) list='$(SUBDIRS)' ;; \
366	esac; \
367	rev=''; for subdir in $$list; do \
368	  if test "$$subdir" = "."; then :; else \
369	    rev="$$subdir $$rev"; \
370	  fi; \
371	done; \
372	rev="$$rev ."; \
373	target=`echo $@ | sed s/-recursive//`; \
374	for subdir in $$rev; do \
375	  echo "Making $$target in $$subdir"; \
376	  if test "$$subdir" = "."; then \
377	    local_target="$$target-am"; \
378	  else \
379	    local_target="$$target"; \
380	  fi; \
381	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
382	  || eval $$failcom; \
383	done && test -z "$$fail"
384tags-recursive:
385	list='$(SUBDIRS)'; for subdir in $$list; do \
386	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
387	done
388ctags-recursive:
389	list='$(SUBDIRS)'; for subdir in $$list; do \
390	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
391	done
392
393ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
394	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
395	unique=`for i in $$list; do \
396	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
397	  done | \
398	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
399	      END { if (nonempty) { for (i in files) print i; }; }'`; \
400	mkid -fID $$unique
401tags: TAGS
402
403TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
404		$(TAGS_FILES) $(LISP)
405	tags=; \
406	here=`pwd`; \
407	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
408	  include_option=--etags-include; \
409	  empty_fix=.; \
410	else \
411	  include_option=--include; \
412	  empty_fix=; \
413	fi; \
414	list='$(SUBDIRS)'; for subdir in $$list; do \
415	  if test "$$subdir" = .; then :; else \
416	    test ! -f $$subdir/TAGS || \
417	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
418	  fi; \
419	done; \
420	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
421	unique=`for i in $$list; do \
422	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
423	  done | \
424	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
425	      END { if (nonempty) { for (i in files) print i; }; }'`; \
426	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
427	  test -n "$$unique" || unique=$$empty_fix; \
428	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
429	    $$tags $$unique; \
430	fi
431ctags: CTAGS
432CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
433		$(TAGS_FILES) $(LISP)
434	tags=; \
435	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
436	unique=`for i in $$list; do \
437	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
438	  done | \
439	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
440	      END { if (nonempty) { for (i in files) print i; }; }'`; \
441	test -z "$(CTAGS_ARGS)$$tags$$unique" \
442	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
443	     $$tags $$unique
444
445GTAGS:
446	here=`$(am__cd) $(top_builddir) && pwd` \
447	  && cd $(top_srcdir) \
448	  && gtags -i $(GTAGS_ARGS) $$here
449
450distclean-tags:
451	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
452
453distdir: $(DISTFILES)
454	$(am__remove_distdir)
455	test -d $(distdir) || mkdir $(distdir)
456	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
457	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
458	list='$(DISTFILES)'; \
459	  dist_files=`for file in $$list; do echo $$file; done | \
460	  sed -e "s|^$$srcdirstrip/||;t" \
461	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
462	case $$dist_files in \
463	  */*) $(MKDIR_P) `echo "$$dist_files" | \
464			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
465			   sort -u` ;; \
466	esac; \
467	for file in $$dist_files; do \
468	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
469	  if test -d $$d/$$file; then \
470	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
471	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
472	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
473	    fi; \
474	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
475	  else \
476	    test -f $(distdir)/$$file \
477	    || cp -p $$d/$$file $(distdir)/$$file \
478	    || exit 1; \
479	  fi; \
480	done
481	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
482	  if test "$$subdir" = .; then :; else \
483	    test -d "$(distdir)/$$subdir" \
484	    || $(MKDIR_P) "$(distdir)/$$subdir" \
485	    || exit 1; \
486	    distdir=`$(am__cd) $(distdir) && pwd`; \
487	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
488	    (cd $$subdir && \
489	      $(MAKE) $(AM_MAKEFLAGS) \
490	        top_distdir="$$top_distdir" \
491	        distdir="$$distdir/$$subdir" \
492		am__remove_distdir=: \
493		am__skip_length_check=: \
494	        distdir) \
495	      || exit 1; \
496	  fi; \
497	done
498	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
499	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
500	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
501	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
502	|| chmod -R a+r $(distdir)
503dist-gzip: distdir
504	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
505	$(am__remove_distdir)
506
507dist-bzip2: distdir
508	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
509	$(am__remove_distdir)
510
511dist-lzma: distdir
512	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
513	$(am__remove_distdir)
514
515dist-tarZ: distdir
516	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
517	$(am__remove_distdir)
518
519dist-shar: distdir
520	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
521	$(am__remove_distdir)
522
523dist-zip: distdir
524	-rm -f $(distdir).zip
525	zip -rq $(distdir).zip $(distdir)
526	$(am__remove_distdir)
527
528dist dist-all: distdir
529	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
530	$(am__remove_distdir)
531
532# This target untars the dist file and tries a VPATH configuration.  Then
533# it guarantees that the distribution is self-contained by making another
534# tarfile.
535distcheck: dist
536	case '$(DIST_ARCHIVES)' in \
537	*.tar.gz*) \
538	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
539	*.tar.bz2*) \
540	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
541	*.tar.lzma*) \
542	  unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
543	*.tar.Z*) \
544	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
545	*.shar.gz*) \
546	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
547	*.zip*) \
548	  unzip $(distdir).zip ;;\
549	esac
550	chmod -R a-w $(distdir); chmod a+w $(distdir)
551	mkdir $(distdir)/_build
552	mkdir $(distdir)/_inst
553	chmod a-w $(distdir)
554	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
555	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
556	  && cd $(distdir)/_build \
557	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
558	    $(DISTCHECK_CONFIGURE_FLAGS) \
559	  && $(MAKE) $(AM_MAKEFLAGS) \
560	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
561	  && $(MAKE) $(AM_MAKEFLAGS) check \
562	  && $(MAKE) $(AM_MAKEFLAGS) install \
563	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
564	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
565	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
566	        distuninstallcheck \
567	  && chmod -R a-w "$$dc_install_base" \
568	  && ({ \
569	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
570	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
571	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
572	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
573	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
574	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
575	  && rm -rf "$$dc_destdir" \
576	  && $(MAKE) $(AM_MAKEFLAGS) dist \
577	  && rm -rf $(DIST_ARCHIVES) \
578	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
579	$(am__remove_distdir)
580	@(echo "$(distdir) archives ready for distribution: "; \
581	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
582	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
583distuninstallcheck:
584	@cd $(distuninstallcheck_dir) \
585	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
586	   || { echo "ERROR: files left after uninstall:" ; \
587	        if test -n "$(DESTDIR)"; then \
588	          echo "  (check DESTDIR support)"; \
589	        fi ; \
590	        $(distuninstallcheck_listfiles) ; \
591	        exit 1; } >&2
592distcleancheck: distclean
593	@if test '$(srcdir)' = . ; then \
594	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
595	  exit 1 ; \
596	fi
597	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
598	  || { echo "ERROR: files left in build directory after distclean:" ; \
599	       $(distcleancheck_listfiles) ; \
600	       exit 1; } >&2
601check-am: all-am
602check: check-recursive
603all-am: Makefile $(DATA) config.h
604installdirs: installdirs-recursive
605installdirs-am:
606	for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
607	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
608	done
609install: install-recursive
610install-exec: install-exec-recursive
611install-data: install-data-recursive
612uninstall: uninstall-recursive
613
614install-am: all-am
615	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
616
617installcheck: installcheck-recursive
618install-strip:
619	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
620	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
621	  `test -z '$(STRIP)' || \
622	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
623mostlyclean-generic:
624
625clean-generic:
626
627distclean-generic:
628	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
629
630maintainer-clean-generic:
631	@echo "This command is intended for maintainers to use"
632	@echo "it deletes files that may require special tools to rebuild."
633clean: clean-recursive
634
635clean-am: clean-generic clean-libtool mostlyclean-am
636
637distclean: distclean-recursive
638	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
639	-rm -f Makefile
640distclean-am: clean-am distclean-generic distclean-hdr \
641	distclean-libtool distclean-tags
642
643dvi: dvi-recursive
644
645dvi-am:
646
647html: html-recursive
648
649info: info-recursive
650
651info-am:
652
653install-data-am: install-pkgconfigDATA
654
655install-dvi: install-dvi-recursive
656
657install-exec-am:
658
659install-html: install-html-recursive
660
661install-info: install-info-recursive
662
663install-man:
664
665install-pdf: install-pdf-recursive
666
667install-ps: install-ps-recursive
668
669installcheck-am:
670
671maintainer-clean: maintainer-clean-recursive
672	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
673	-rm -rf $(top_srcdir)/autom4te.cache
674	-rm -f Makefile
675maintainer-clean-am: distclean-am maintainer-clean-generic
676
677mostlyclean: mostlyclean-recursive
678
679mostlyclean-am: mostlyclean-generic mostlyclean-libtool
680
681pdf: pdf-recursive
682
683pdf-am:
684
685ps: ps-recursive
686
687ps-am:
688
689uninstall-am: uninstall-pkgconfigDATA
690
691.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
692	install-strip
693
694.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
695	all all-am am--refresh check check-am clean clean-generic \
696	clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
697	dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
698	distclean distclean-generic distclean-hdr distclean-libtool \
699	distclean-tags distcleancheck distdir distuninstallcheck dvi \
700	dvi-am html html-am info info-am install install-am \
701	install-data install-data-am install-dvi install-dvi-am \
702	install-exec install-exec-am install-html install-html-am \
703	install-info install-info-am install-man install-pdf \
704	install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
705	install-strip installcheck installcheck-am installdirs \
706	installdirs-am maintainer-clean maintainer-clean-generic \
707	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
708	ps ps-am tags tags-recursive uninstall uninstall-am \
709	uninstall-pkgconfigDATA
710
711# Tell versions [3.59,3.63) of GNU make to not export all variables.
712# Otherwise a system limit (for SysV at least) may be exceeded.
713.NOEXPORT:
714